<div class="biomark-modal" ng-if="$ctrl.popup_type == 1">
    <div class="modal_container small">
        <div class="modal-closer-icon" ng-click="$ctrl.close()">
            <i class="material-icons md-14">close</i>
        </div>
        <div class="modal-header-sm">
            <p class="m-title">New Patient</p>
            <p class="m-description">A patient wants to connect to you.</p>
        </div>
        <div class="modal-body-sm">
            <div class="row">
                <div class="col-md-12 text-center">
                    <!-- <div class="tmp_image">
						{{$ctrl.patient_data.first_name[0]}}{{$ctrl.patient_data.last_name[0]}}
                    </div> -->
                    <div class="patient_photo_a">
                        <div class="tmp_image" ng-if="$ctrl.patient_data.picture == null">
                                {{$ctrl.patient_data.first_name[0]}}{{$ctrl.patient_data.last_name[0]}}</div>
                        <img ng-if="$ctrl.patient_data.picture != null" class="patient_img" ng-src="https://assets.biomarking.com/profile/{{$ctrl.patient_data.picture}}">
                    </div>

                    <br>
                    <br>
                    <h4 class="text-center">{{$ctrl.patient_data.from}}</h4>
                    <!-- <p>{{$ctrl.patient_data.mobile}}</p> -->
                    <p class="pmediumdefault" style="margin:5px">
                        <span ng-if="$ctrl.patient_data.age">{{$ctrl.patient_data.age}} </span> 
                        <span ng-if="$ctrl.patient_data.gender">, {{$ctrl.patient_data.gender}}</span> 
                            <span ng-if="$ctrl.patient_data.ethnicity">, {{$ctrl.patient_data.ethnicity}}</span> 
                    </p>
                    <div class="country-ic-container">
                        <span ng-if="$ctrl.patient_data.country==1" class="flag-icon flag-icon-{{$ctrl.data.countries[$ctrl.patient_data.country - 1].code.toLowerCase()}}" style="font-size:20px; float: left"></span>
                        <span ng-if="$ctrl.patient_data.country==2||$ctrl.patient_data.country==3" class="flag-icon flag-icon-{{$ctrl.data.countries[$ctrl.patient_data.country].code.toLowerCase()}}" style="font-size:20px; float: left"></span>
                        <span ng-if="$ctrl.patient_data.country==5" class="flag-icon flag-icon-{{$ctrl.data.countries[1].code.toLowerCase()}}" style="font-size:20px; float: left"></span>
                        <p class="labelnormaluppercase" ng-if="$ctrl.patient_data.ic_number" style="float:left; margin-top: 5px">&nbsp;{{$ctrl.patient_data.ic_number}}</p>
                        <p class="labelnormaluppercase" ng-if="!$ctrl.patient_data.ic_number" style="float:left; margin-top: 5px">&nbsp;&nbsp;---</p>
                    </div>
                    <br>
                </div>
            </div>
            <div class="row">
                <div class="col-md-6">
                    <a href="" class="back" ng-click="$ctrl.reject()">Reject Patient</a>
                </div>
                <div class="col-md-6 text-right">
                    <div class="form-group">
                        <button class="btn btn-danger biomark-btn-primary" ng-click="$ctrl.accept()">Accept Patient</button>    
                    </div>
                </div>
                
            </div>
        </div>
    </div>
</div>
<div class="biomark-modal" ng-if="$ctrl.popup_type == 2">
        <div class="modal_container small">
            <div class="modal-header">
                <div class="modal-closer-text">
                    <h5>You have rejected the request from:</h5>
                </div>
                <div class="modal-closer-icon" ng-click="$ctrl.close()">
                    <i class="material-icons md-18">close</i>
                </div>
            </div>
            <div class="modal-body-sm">
                <div class="row">
                    <div class="col-md-12 text-center">
                        <div class="patient_photo_a" style="margin:0 auto 0">
                            <div class="tmp_image" ng-if="$ctrl.patient_data.picture == null">
                                {{$ctrl.patient_data.first_name[0]}}{{$ctrl.patient_data.last_name[0]}}</div>
                            <img ng-if="$ctrl.patient_data.picture != null" class="patient_img" ng-src="https://assets.biomarking.com/profile/{{$ctrl.patient_data.picture}}">
                        </div>
                        <br>
                        <br>
                        <h4 class="text-center">{{$ctrl.patient_data.first_name}} {{$ctrl.patient_data.last_name}}</h4>
                        <p class="pmediumdefault" style="margin:5px">{{$ctrl.patient_data.age}}, {{$ctrl.patient_data.gender}}, {{$ctrl.patient_data.ethnicity}}</p>
                        <div class="country-ic-container">
                            <span ng-if="$ctrl.patient_data.country==1" class="flag-icon flag-icon-{{$ctrl.data.countries[$ctrl.patient_data.country - 1].code.toLowerCase()}}" style="font-size:20px; float: left"></span>
                            <span ng-if="$ctrl.patient_data.country==2||$ctrl.patient_data.country==3" class="flag-icon flag-icon-{{$ctrl.data.countries[$ctrl.patient_data.country].code.toLowerCase()}}" style="font-size:20px; float: left"></span>
                            <span ng-if="$ctrl.patient_data.country==5" class="flag-icon flag-icon-{{$ctrl.data.countries[1].code.toLowerCase()}}" style="font-size:20px; float: left"></span>
                                <p class="labelnormaluppercase" ng-if="$ctrl.patient_data.ic_number" style="float:left; margin-top: 5px">&nbsp;{{$ctrl.patient_data.ic_number}}</p>
                            <p class="labelnormaluppercase" ng-if="!$ctrl.patient_data.ic_number" style="float:left; margin-top: 5px">&nbsp;&nbsp;---</p>
                        </div>
    
                        <br>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-12 text-center">
                        <a href="" class="back" ng-click="$ctrl.close()">Close</a>
                        <br>
                        <br>
                        <br>
                    </div>
                </div>
            </div>
        </div>
    </div>
    
    <div class="biomark-modal" ng-if="$ctrl.popup_type == 3">
        <div class="modal_container small">
            <div class="modal-header">
                <div class="modal-closer-text">
                    <h5>You are now connected to:</h5>
                </div>
                <div class="modal-closer-icon" ng-click="$ctrl.close()">
                    <i class="material-icons md-18">close</i>
                </div>
            </div>
            <div class="modal-body-sm">
                <div class="row">
                    <div class="col-md-12 text-center">
                        <div class="patient_photo_a"  style="margin:0 auto 0">
                            <div class="tmp_image" ng-if="$ctrl.patient_data.picture == null">
                                {{$ctrl.patient_data.first_name[0]}}{{$ctrl.patient_data.last_name[0]}}</div>
                            <img ng-if="$ctrl.patient_data.picture != null" class="patient_img" ng-src="https://assets.biomarking.com/profile/{{$ctrl.patient_data.picture}}">
                        </div>
                        <br>
                        <br>
                        <h4 class="text-center">{{$ctrl.patient_data.first_name}} {{$ctrl.patient_data.last_name}}</h4>
                        <p class="pmediumdefault" style="margin:5px">{{$ctrl.patient_data.age}}, {{$ctrl.patient_data.gender}} <span ng-if="$ctrl.patient_data.ethnicity">,</span> {{$ctrl.patient_data.ethnicity}}</p>
                        <div class="country-ic-container">
                            <span ng-if="$ctrl.patient_data.country==1" class="flag-icon flag-icon-{{$ctrl.data.countries[$ctrl.patient_data.country - 1].code.toLowerCase()}}" style="font-size:20px; float: left"></span>
                            <span ng-if="$ctrl.patient_data.country==2||$ctrl.patient_data.country==3" class="flag-icon flag-icon-{{$ctrl.data.countries[$ctrl.patient_data.country].code.toLowerCase()}}" style="font-size:20px; float: left"></span>
                            <span ng-if="$ctrl.patient_data.country==5" class="flag-icon flag-icon-{{$ctrl.data.countries[1].code.toLowerCase()}}" style="font-size:20px; float: left"></span>
                                <p class="labelnormaluppercase" ng-if="$ctrl.patient_data.ic_number" style="float:left; margin-top: 5px">&nbsp;{{$ctrl.patient_data.ic_number}}</p>
                            <!-- <p class="labelnormaluppercase" ng-if="!$ctrl.patient_data.ic_number" style="float:left; margin-top: 5px">&nbsp;&nbsp;---</p> -->
                        </div>
    
                        <br>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-12 text-center">
                        <div class="form-group">
                            <button class="btn btn-danger biomark-btn-primary" ng-click="$ctrl.view_record( $ctrl.patient_data.id )">
                                View Profile
                            </button>
                            <br>
                            <br>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>